
QGIS Application - Bug report #16932

Specific virtual layers definitions make the load of a project fail completely

2017-07-26 10:10 AM - Lee Han

Status: Closed

Priority: Normal

Assignee:

Category: Project Loading/Saving

Affected QGIS version:2.18.11 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 24831

Description

New description:

In the attached file there is a project (F119849_plan.qgs) that when loaded in QGIS it loads completely empty, despite the layers

definitions are ok (and the data available). It turns that there are two query layers (created within QGIS) that if removed will "fix" the

problem > the rest of the layers in the project (included other query layers) are loaded normally.

The two offending layers are

fossé_emprise

fossé_emprise2

the definition of the first (as example) is:

<maplayer minimumScale="0" maximumScale="1e+08" simplifyDrawingHints="1" minLabelScale="0" maxLabelScale="1e+08"

simplifyDrawingTol="1" geometry="Polygon" simplifyMaxScale="1" type="vector" hasScaleBasedVisibilityFlag="0" simplifyLocal="1"

scaleBasedLabelVisibilityFlag="0">

      <extent>

        <xmin>1523346.35480000078678131</xmin>

        <ymin>6238508.21950000151991844</ymin>

        <xmax>1523567.49449999630451202</xmax>

        <ymax>6238690.22529999911785126</ymax>

      </extent>

      <id>fossé_emprise220170725120837237</id>

     

<datasource>?query=select%20f.num,%20st_union(geometry)%20as%20geom%20from%20%22foss%C3%A9_emprise%22%20f%0D%0Agr

%0Agroup%20by%20num</datasource>

      <keywordList>

        <value></value>

      </keywordList>

      <layername>fossé_emprise2</layername>

      <srs>

        <spatialrefsys>

          <proj4>+proj=lcc +lat_1=46.25 +lat_2=47.75 +lat_0=47 +lon_0=3 +x_0=1700000 +y_0=6200000 +ellps=GRS80

+towgs84=0,0,0,0,0,0,0 +units=m +no_defs</proj4>

          <srsid>1766</srsid>

          <srid>3947</srid>

          <authid>EPSG:3947</authid>

          <description>RGF93 / CC47</description>

          <projectionacronym>lcc</projectionacronym>
          <ellipsoidacronym>GRS80</ellipsoidacronym>

          <geographicflag>false</geographicflag>

        </spatialrefsys>

      </srs>

      <provider encoding="UTF-8">virtual</provider>

COALESCE( "num", '&lt;NULL>' )</previewExpression>

      <vectorjoins/>

      <layerDependencies>

        <layer id="fossé_emprise20170725120248650"/>

      </layerDependencies>

      <expressionfields/>

      <map-layer-style-manager current="">

        <map-layer-style name=""/>

      </map-layer-style-manager>

      <edittypes>

        <edittype widgetv2type="TextEdit" name="num">

          <widgetv2config IsMultiline="0" fieldEditable="1" UseHtml="0" labelOnTop="0"/>

        </edittype>

      </edittypes>

      <renderer-v2 forceraster="0" symbollevels="0" type="singleSymbol" enableorderby="0">

        <symbols>

          <symbol alpha="1" clip_to_extent="1" type="fill" name="0">

            <layer pass="0" class="SimpleFill" locked="0">

              <prop k="border_width_map_unit_scale" v="0,0,0,0,0,0"/>

              <prop k="color" v="129,235,16,255"/>

              <prop k="joinstyle" v="bevel"/>

              <prop k="offset" v="0,0"/>

              <prop k="offset_map_unit_scale" v="0,0,0,0,0,0"/>

              <prop k="offset_unit" v="MM"/>

              <prop k="outline_color" v="0,0,0,255"/>

              <prop k="outline_style" v="solid"/>

              <prop k="outline_width" v="0.26"/>

              <prop k="outline_width_unit" v="MM"/>

              <prop k="style" v="solid"/>

            </layer>

          </symbol>

        </symbols>

        <rotation/>

        <sizescale scalemethod="diameter"/>

      </renderer-v2>

      <labeling type="simple"/>

      <customproperties/>

      <blendMode>0</blendMode>

      <featureBlendMode>0</featureBlendMode>

      <layerTransparency>0</layerTransparency>

      <displayfield>num</displayfield>

      <label>0</label>

      <labelattributes>

        <label fieldname="" text="Étiquette"/>

        <family fieldname="" name="MS Shell Dlg 2"/>

        <size fieldname="" units="pt" value="12"/>

        <bold fieldname="" on="0"/>

        <italic fieldname="" on="0"/>
        <underline fieldname="" on="0"/>

        <strikeout fieldname="" on="0"/>

        <color fieldname="" red="0" blue="0" green="0"/>

        <x fieldname=""/>

        <y fieldname=""/>

        <offset x="0" y="0" units="pt" yfieldname="" xfieldname=""/>

        <angle fieldname="" value="0" auto="0"/>

        <alignment fieldname="" value="center"/>

        <buffercolor fieldname="" red="255" blue="255" green="255"/>

        <buffersize fieldname="" units="pt" value="1"/>

        <bufferenabled fieldname="" on=""/>

        <multilineenabled fieldname="" on=""/>

        <selectedonly on=""/>

      </labelattributes>

      <annotationform></annotationform>

      <excludeAttributesWMS/>

      <excludeAttributesWFS/>

      <attributeactions/>

      <editform></editform>

      <editforminit/>

      <editforminitcodesource>0</editforminitcodesource>

      <editforminitfilepath></editforminitfilepath>

      <editforminitcode><![CDATA[]]></editforminitcode>

      <featformsuppress>0</featformsuppress>

      <editorlayout>generatedlayout</editorlayout>

      <widgets/>

      <conditionalstyles>

        <rowstyles/>

        <fieldstyles/>

      </conditionalstyles>

    </maplayer>

*Old description:*

I encounter the problem more and more often and it begins seriously to become embarrassing : I open a project of yesterday and it

is empty or I just have the title groups, groups emptied of their layers. And the layers of the project are shp and virtual layers

resulting from queries. 

The .qgs has hundreds of kilos and when I edit it, I find my layers in the tags, the paths are good, I have no messages like what

tags are badly closed and file is not truncated. Is project finally lost ? Is there a way to get my projects back ?

Thanks

History

#1 - 2017-07-27 03:28 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Crashes QGIS or corrupts data changed from Yes to No

can you give more datails?

	

are the shapes in a local disk? a network one?
what the QGIS logs show?

	

it happens always for the same projects or just at time?

	

have you tried by starting QGIS in a clean environment, especially useful is to try disable/remove all 3rd party plugins.

#2 - 2017-07-27 04:25 PM - Lee Han

shapes are on network or on local disk.

	

It happens on different projects.

	

I have uninstalled plugins except those natives (georeferencer, processing,...). No effect.

	

the only thing remaining is the name of a group.

	

what log would you like to read ?

#3 - 2017-07-27 04:31 PM - Giovanni Manghi

Lee Han wrote:

	

shapes are on network or on local disk.
It happens on different projects.

	

I have uninstalled plugins except those natives (georeferencer, processing,...). No effect.

	

the only thing remaining is the name of a group.

	

what log would you like to read ?

	

settings > panel > log

#4 - 2017-07-28 08:30 AM - Lee Han

- File python.PNG added

- File general.PNG added

- File plugins.PNG added

- File trait.PNG added

I know the log panel :).

but what kind of log (general ? plugins ?,...).

Anyway, all are joined.

Thanks

#5 - 2017-07-28 09:57 AM - Giovanni Manghi

Lee Han wrote:

	

I know the log panel :).

but what kind of log (general ? plugins ?,...).
Anyway, all are joined.

Thanks

	

copy/pasting the content of logs it would be better, anyway from the "python.png" image is possible to see that you have still 3d party plugins

enabled/installed.

	

Please try by (backing up and) removing the .qgis2 folder, then restart qgis.

	

If does not work please also try to understand if it is something that happens only in your computer or also in others.

#6 - 2017-07-28 10:42 AM - Lee Han

removing folder .qgis2 has no effet : project still empty.

	

I have tried on another computer with same files and project : same result, project empty.

	

Would you like me to send datas and project ?

#7 - 2017-07-28 10:56 AM - Giovanni Manghi

	

Would you like me to send datas and project ?

	

yes thanks.
#8 - 2017-07-28 11:19 AM - Lee Han

- File joue_courelieres.7z added

done.

thanks

#9 - 2017-07-28 12:38 PM - Giovanni Manghi

Lee Han wrote:

	

done.

thanks

	

the problem is definitely in one of the query layers in the project, I removed a few of them manually and the project started to load correctly. Please try

isolate the offending one(s) (tags <maplayer ...> ... </maplayer>) and let us know, there seems to be something wrong here.

#10 - 2017-07-28 02:35 PM - Lee Han

Indeed, two virtual layers are guilty !

fossé_emprise <layername>

fossé_emprise2 <layername>

Let me know if you find out the reason(s).

Thanks

#11 - 2017-08-01 07:05 PM - Giovanni Manghi

- Status changed from Feedback to Open

- Affected QGIS version changed from 2.14.11 to 2.18.11

- Operating System deleted (windows 7)

- Subject changed from Qgis Project empty to Specific virtual layers definitions make the load of a project fail completely

- Description updated

#12 - 2017-08-01 07:05 PM - Giovanni Manghi

- Description updated

#13 - 2019-03-09 03:10 PM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to end of life
End of life notice: QGIS 2.18 LTR

	

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

	

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

	

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

	

Most plugins have been either migrated or incorporated into the core QGIS code base.

	

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

	

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

	

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

	

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.

Files

general.PNG 39.7 KB 2017-07-28 Lee Han
plugins.PNG 87.4 KB 2017-07-28 Lee Han

trait.PNG 31.3 KB 2017-07-28 Lee Han

python.PNG 80.2 KB 2017-07-28 Lee Han

joue_courelieres.7z 4.89 MB 2017-07-28 Lee Han
